/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ajcon.helpers;

import ajcon.enumerations.CModifierType;
import ajcon.enumerations.CNMToken;
import java.util.HashMap;
import java.util.Map;

public class EnumMappingBuilder {

    private Map<String,ajcon.enumerations.CModifierType> modifierHashes;
    private Map<String,ajcon.enumerations.CNMToken> tokenHashes;

    public EnumMappingBuilder()
    {
        modifierHashes = new HashMap<String, ajcon.enumerations.CModifierType>();
        tokenHashes = new HashMap<String, CNMToken>();
    }

    public Map<String, CModifierType> getModifierHashes() {
        return modifierHashes;
    }

    public void setModifierHashes(Map<String, CModifierType> modifierHashes) {
        this.modifierHashes = modifierHashes;
    }

    public Map<String, CNMToken> getTokenHashes() {
        return tokenHashes;
    }

    public void setTokenHashes(Map<String, CNMToken> tokenHashes) {
        this.tokenHashes = tokenHashes;
    }


    public void createEnumMappings()
    {
         modifierHashes.put("public", ajcon.enumerations.CModifierType.PUBLIC);
         modifierHashes.put("private", ajcon.enumerations.CModifierType.PRIVATE);
         modifierHashes.put("protected", ajcon.enumerations.CModifierType.PROTECTED);
         modifierHashes.put("abstract", ajcon.enumerations.CModifierType.ABSTRACT);
         modifierHashes.put("final", ajcon.enumerations.CModifierType.FINAL);
         modifierHashes.put("static", ajcon.enumerations.CModifierType.STATIC);
         modifierHashes.put("synchronized", ajcon.enumerations.CModifierType.SYNCHRONIZED);
         modifierHashes.put("volatile", ajcon.enumerations.CModifierType.VOLATILE);
         modifierHashes.put("transient", ajcon.enumerations.CModifierType.TRANSIENT);
         modifierHashes.put("native", ajcon.enumerations.CModifierType.NATIVE);
         
         tokenHashes.put("public", CNMToken.PUBLIC);
         tokenHashes.put("private", CNMToken.PRIVATE);
         tokenHashes.put("protected", CNMToken.PROTECTED);
         tokenHashes.put("true", CNMToken.TRUE);
         tokenHashes.put("false", CNMToken.FALSE);
         tokenHashes.put("integer", CNMToken.INTEGER);
         tokenHashes.put("long", CNMToken.LONG);
         tokenHashes.put("float", CNMToken.FLOAT);
         tokenHashes.put("double", CNMToken.DOUBLE);
         tokenHashes.put("for", CNMToken.FOR);
         tokenHashes.put("while", CNMToken.WHILE);

    }

}
